package com.platform.yijia.param.request;

import java.io.Serializable;

public class JhPayRequestParameter implements Serializable {
    //聚合支付传参
    // 下单请求参数
    //聚合支付接口要求传递的参数
    private String ordNo;//商户订单号
    private String mno; //商户入住返回商户编号
    private String subMechId;//子商户号说明：渠道子商户号"childNo":"225505167"
    private String amt;//订单总金额，单位为元，精确到小数点后两位
    private String discountAmt;//参与优惠金额，单位为元，精确到小数点后两位
    private String unDiscountAm;//不参与优惠金额，单位为元，精确到小数点后两位
    private String payType;//支付渠道 对订单的描述，取值范围:WECHAT: 微信,ALIPAY:支付宝，UNIONPAY:银联
    private String payWay;//支付方式 02 公众号/服务窗/js支付 03小程序
    private String timeExpire;//订单失效时间, 以分种为单位，最短失效时间为1分钟，最长失效时间为 1440钟，值不接受小数点，（不传参默认5分钟）
    private String limitPay;//限制卡类型 指定支付方式 00-全部01-限定不能使用信用卡支付    默认值 00
    private String subject;//订单标题
    private String hbFqNum;//花呗分期数
    private String tradeSource;//交易来源；01：服务商02：收银台03：硬件
    private String trmIp;//商家 ip 地址
    private String customerIp;//持卡人 ip 地址
    private String userId;//用户号微信：openid；支付宝：userid；银联：userid；微信&支付宝必传，银联 js 为非必传
    private String subAppid;//微信子公众号非必填
    private String outFrontUrl;//js 支付，前台成功通知地址
    private String outFrontFailUrl;//接收支付结果通知地址
    private String needReceipt;//电子发票功能微信开具电子发票使用；目前仅支持微信；交易渠道为支付宝、银联时上送该参数则返回错误00:是，01:否
    private String ledgerAccountFlag;//是否做分账分账交易使用；00：做；01：不做；不传默认为不做分账
    private String ledgerAccountEffectTime;//分账有效时间单位为天；是否做分账选择 00时该字段必传；最大支持上送：30；注：从发起交易日期记为 1
    private String ruleId;//同 步 分 账 规 则 id
    private String fusruleId;//同步分账规则
    private String ylTrmNo;//银联终端号
    private String terminalId;//TQ 机具编号，支付来源为硬件时，该参数为必传；
    private String deviceNo;//设备号
    private String identityFlag;//是否实名支付：00：是，01：否不 传 默 认 为01; 00 时；买家姓 名 、 证 件 类型、证件号为必填
    private String buyerIdType;//证 件 类 型 : 大陆：IDCARD；目前仅支持大陆证件号
    private String buyerIdNo;//证件号:证件号只允许等于 18位
    private String buyerName;//家姓名
    private String mobileNum;//手机号
    private String extend;//备用
    private String wxGoodsTag;//微信活动标识
    private String wechatFoodOrder;//微信扫码点餐
    private String alipayFoodOrderType;//支付宝扫码点餐类型
    private String goodsTag;//订单优惠标识00 ： 是 ， 01 ：否；
    private String couponDetail;//优 惠 详 情 信 息(json 格式，里面内容见下面说明)

    public String getOrdNo() {
        return ordNo;
    }

    public void setOrdNo(String ordNo) {
        this.ordNo = ordNo;
    }

    public String getMno() {
        return mno;
    }

    public void setMno(String mno) {
        this.mno = mno;
    }

    public String getSubMechId() {
        return subMechId;
    }

    public void setSubMechId(String subMechId) {
        this.subMechId = subMechId;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getDiscountAmt() {
        return discountAmt;
    }

    public void setDiscountAmt(String discountAmt) {
        this.discountAmt = discountAmt;
    }

    public String getUnDiscountAm() {
        return unDiscountAm;
    }

    public void setUnDiscountAm(String unDiscountAm) {
        this.unDiscountAm = unDiscountAm;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPayWay() {
        return payWay;
    }

    public void setPayWay(String payWay) {
        this.payWay = payWay;
    }

    public String getTimeExpire() {
        return timeExpire;
    }

    public void setTimeExpire(String timeExpire) {
        this.timeExpire = timeExpire;
    }

    public String getLimitPay() {
        return limitPay;
    }

    public void setLimitPay(String limitPay) {
        this.limitPay = limitPay;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getHbFqNum() {
        return hbFqNum;
    }

    public void setHbFqNum(String hbFqNum) {
        this.hbFqNum = hbFqNum;
    }

    public String getTradeSource() {
        return tradeSource;
    }

    public void setTradeSource(String tradeSource) {
        this.tradeSource = tradeSource;
    }

    public String getTrmIp() {
        return trmIp;
    }

    public void setTrmIp(String trmIp) {
        this.trmIp = trmIp;
    }

    public String getCustomerIp() {
        return customerIp;
    }

    public void setCustomerIp(String customerIp) {
        this.customerIp = customerIp;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getSubAppid() {
        return subAppid;
    }

    public void setSubAppid(String subAppid) {
        this.subAppid = subAppid;
    }

    public String getOutFrontUrl() {
        return outFrontUrl;
    }

    public void setOutFrontUrl(String outFrontUrl) {
        this.outFrontUrl = outFrontUrl;
    }

    public String getOutFrontFailUrl() {
        return outFrontFailUrl;
    }

    public void setOutFrontFailUrl(String outFrontFailUrl) {
        this.outFrontFailUrl = outFrontFailUrl;
    }

    public String getNeedReceipt() {
        return needReceipt;
    }

    public void setNeedReceipt(String needReceipt) {
        this.needReceipt = needReceipt;
    }

    public String getLedgerAccountFlag() {
        return ledgerAccountFlag;
    }

    public void setLedgerAccountFlag(String ledgerAccountFlag) {
        this.ledgerAccountFlag = ledgerAccountFlag;
    }

    public String getLedgerAccountEffectTime() {
        return ledgerAccountEffectTime;
    }

    public void setLedgerAccountEffectTime(String ledgerAccountEffectTime) {
        this.ledgerAccountEffectTime = ledgerAccountEffectTime;
    }

    public String getRuleId() {
        return ruleId;
    }

    public void setRuleId(String ruleId) {
        this.ruleId = ruleId;
    }

    public String getFusruleId() {
        return fusruleId;
    }

    public void setFusruleId(String fusruleId) {
        this.fusruleId = fusruleId;
    }

    public String getYlTrmNo() {
        return ylTrmNo;
    }

    public void setYlTrmNo(String ylTrmNo) {
        this.ylTrmNo = ylTrmNo;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getDeviceNo() {
        return deviceNo;
    }

    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    public String getIdentityFlag() {
        return identityFlag;
    }

    public void setIdentityFlag(String identityFlag) {
        this.identityFlag = identityFlag;
    }

    public String getBuyerIdType() {
        return buyerIdType;
    }

    public void setBuyerIdType(String buyerIdType) {
        this.buyerIdType = buyerIdType;
    }

    public String getBuyerIdNo() {
        return buyerIdNo;
    }

    public void setBuyerIdNo(String buyerIdNo) {
        this.buyerIdNo = buyerIdNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getMobileNum() {
        return mobileNum;
    }

    public void setMobileNum(String mobileNum) {
        this.mobileNum = mobileNum;
    }

    public String getExtend() {
        return extend;
    }

    public void setExtend(String extend) {
        this.extend = extend;
    }

    public String getWxGoodsTag() {
        return wxGoodsTag;
    }

    public void setWxGoodsTag(String wxGoodsTag) {
        this.wxGoodsTag = wxGoodsTag;
    }

    public String getWechatFoodOrder() {
        return wechatFoodOrder;
    }

    public void setWechatFoodOrder(String wechatFoodOrder) {
        this.wechatFoodOrder = wechatFoodOrder;
    }

    public String getAlipayFoodOrderType() {
        return alipayFoodOrderType;
    }

    public void setAlipayFoodOrderType(String alipayFoodOrderType) {
        this.alipayFoodOrderType = alipayFoodOrderType;
    }

    public String getGoodsTag() {
        return goodsTag;
    }

    public void setGoodsTag(String goodsTag) {
        this.goodsTag = goodsTag;
    }

    public String getCouponDetail() {
        return couponDetail;
    }

    public void setCouponDetail(String couponDetail) {
        this.couponDetail = couponDetail;
    }
}
